### Constructor

# Gtk CustomFilter new

#### Declaration [src]

    GtkCustomFilter*
    gtk_custom_filter_new (
      GtkCustomFilterFunc match_func,
      gpointer user_data,
      GDestroyNotify user_destroy
    )

#### Description [src]

Creates a new filter using the given function to filter items.

If `match_func` is `NULL`, the filter matches all items.

If the filter func changes its filtering behavior, `gtk_filter_changed()` needs to be called.

#### Parameters

`match_func`

  Type: `GtkCustomFilterFunc`

  Function to filter items.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `match_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_destroy`

  Type: `GDestroyNotify`

  Destroy notify for `user_data`.

#### Return value

Type: `GtkCustomFilter`

A new `GtkCustomFilter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.